Bug 466171 - isolinux missing because of bad metadata for anaconda-extrarepo-1
isolinux missing because of bad metadata for anaconda-extrarepo-1
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-08 16:25 EDT by John Reiser
Modified: 2013-07-04 08:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-20 07:06:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
complete log: /data/Fedora10/logs/i386.log (16.53 MB, text/plain)
2008-10-08 16:25 EDT, John Reiser
no flags Details

  None (edit)
Description John Reiser 2008-10-08 16:25:22 EDT
Created attachment 319796 [details]
complete log: /data/Fedora10/logs/i386.log

Description of problem: DVD compose always fails with the immediate symptom "genisoimage: Uh oh, I cant find the boot catalog directory 'isolinux'!" which is due to the underlying cause "Error: failure: repodata/primary.sqlite.bz2 from anaconda-extrarepo-1: [Errno 256] No more mirrors to try."



Version-Release number of selected component (if applicable):
pungi-2.0.5-1.fc10.noarch


How reproducible:
always


Steps to Reproduce:
1. In rawhide-redora.ks change from --mirrorlist to --baseurl:
repo --name=rawhide         --baseurl=http://download.fedoraproject.org/pub/fedora/linux/development/$basearch/os/

2. pungi -c /usr/share/pungi/rawhide-fedora.ks --force --destdir=/data/Fedora10 --name Fedora-Beta --ver 10 --nosource

3.
  
Actual results: Console shows:
genisoimage: Uh oh, I cant find the boot catalog directory 'isolinux'!

i386.log says:
Pungi.INFO: Running /usr/lib/anaconda-runtime/buildinstall --product Fedora --version 10 --release "Fedora 10" --bugurl http://bugzilla.redhat.com --output /data/Fedora10/10/i386/os /data/Fedora10/10/i386/os http://download.fedoraproject.org/pub/fedora/linux/development/i386/os/ http://download.fedoraproject.org/pub/fedora/linux/development/source/SRPMS/
Pungi.DEBUG: Running buildinstall...
/tmp/buildinstall.tree.oXkNS5 /tmp
/tmp
Building images...
Assembling package list...
Wed Sep 24 10:23:38 PDT 2008 Expanding packages...
http://download.fedoraproject.org/pub/fedora/linux/development/i386/os/repodata/primary.sqlite.bz2: [Errno -1] Metadata file does not match checksum
Trying other mirror.
http://download.fedoraproject.org/pub/fedora/linux/development/i386/os/repodata/primary.sqlite.bz2: [Errno -1] Metadata file does not match checksum
Trying other mirror.
Error: failure: repodata/primary.sqlite.bz2 from anaconda-extrarepo-1: [Errno 256] No more mirrors to try.
ERROR: could not install packages
Aborting instroot creation...



Expected results: Successful compose of DVD image.


Additional info: Note that the error messages give no clue as to which actual mirror(s) had the mismatched files.
Comment 1 Jesse Keating 2008-10-08 16:38:48 EDT
That's an anaconda buildinstall issue, but you're probably just hitting a mirror when it's in the middle of a rawhide sync, so repodata files aren't matching checksums and such.  It happens frequently with rawhide mirrors.
Comment 2 John Poelstra 2008-10-17 19:40:45 EDT
Can you still reproduce this problem, preferably against a different mirror?
Comment 3 Jesse Keating 2008-10-17 19:50:28 EDT
This bug remains open not because of an existing situation with our mirrors, but because of the error handling when such a situation does exist.
Comment 4 John Reiser 2008-10-17 23:09:11 EDT
I just tried it, and got a different error, but error handling still is a problem.

My understanding is that http://download.fedoraproject.org/pub/fedora/linux/... is a redirector only.  There is nothing stored there, and any access gets re-directed to some mirror, and nobody records which mirror actually was used.

The external symptom in the console log for the failed compose is 
-----
   ...
Sqlite DBs complete
Pungi:INFO: Running /usr/lib/anaconda-runtime/buildinstall --product Fedora-Beta --version 10 --release "Fedora-Beta 10" --bugurl http://bugzilla.redhat.com --output /data/Fedora10/10/i386/os /data/Fedora10/10/i386/os http://download.fedoraproject.org/pub/fedora/linux/development/i386/os http://download.fedoraproject.org/pub/fedora/linux/development/source/SRPMS
Traceback (most recent call last):
  File "/usr/bin/pungi", line 195, in <module>
    main()
  File "/usr/bin/pungi", line 103, in main
    mypungi.doBuildinstall()
  File "/usr/lib/python2.5/site-packages/pypungi/__init__.py", line 706, in doBuildinstall
    treeinfo.add_section('checksums')
  File "/usr/lib/python2.5/ConfigParser.py", line 226, in add_section
    raise DuplicateSectionError(section)
ConfigParser.DuplicateSectionError: Section 'checksums' already exists
# 
-----

The log file shows
-----
   ...
Pungi.INFO: Running /usr/lib/anaconda-runtime/buildinstall --product Fedora-Beta --version 10 --release "Fedora-Beta 10" --bugurl http://bugzilla.redhat.com --output /data/Fedora10/10/i386/os /data/Fedora10/10/i386/os http://download.fedoraproject.org/pub/fedora/linux/development/i386/os http://download.fedoraproject.org/pub/fedora/linux/development/source/SRPMS
Pungi.DEBUG: Running buildinstall...
/tmp/buildinstall.tree.aFE9Gf /tmp
/tmp
Building images...
Assembling package list...
Fri Oct 17 19:51:16 PDT 2008 Expanding packages...
http://download.fedoraproject.org/pub/fedora/linux/development/i386/os/repodata/8e7b221f2c4aa61c95e59e18541a3f3dae7ae12f-primary.sqlite.bz2: [Errno 12] Timeout: <urlopen error timed out>
Trying other mirror.
http://download.fedoraproject.org/pub/fedora/linux/development/source/SRPMS/repodata/repomd.xml: [Errno 12] Timeout: <urlopen error timed out>
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: anaconda-extrarepo-2. Please verify its path and try again
ERROR: could not install packages
Aborting instroot creation...
Writing .treeinfo file...
had extra args: ['retrieve', 'repository', 'metadata', '(repomd.xml)', 'for', 'repository:', 'anaconda-extrarepo-2.', 'Please', 'verify', 'its', 'path', 'and', 'try', 'again', '--outfile=/data/Fedora10/10/i386/os/.treeinfo']
   ...
-----
Comment 5 Bug Zapper 2008-11-25 22:40:53 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Joel Andres Granados 2009-09-09 04:52:50 EDT
Hopefully lorax will handle errors better :)
Comment 7 Bug Zapper 2009-11-16 04:30:11 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-11-04 07:46:25 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Martin Gracik 2011-06-27 06:55:23 EDT
Can this be still reproduced with lorax?
Comment 10 Martin Gracik 2011-07-20 07:06:18 EDT
I cannot reproduce this, and I guess lorax has better error handlig, so I'm gonna close this.

Note You need to log in before you can comment on or make changes to this bug.